### Method

# FwupdPlugin Progress set_name

since: 1.8.2

#### Declaration [src]

    void
    fu_progress_set_name (
      FuProgress* self,
      const gchar* name
    )

#### Description [src]

Sets the nice name of the progress.

Available since: 1.8.2

#### Parameters

`name`

  Type: `const gchar*`

  Progress nice name, e.g. `add-devices`, or perhaps just `G_STRFUNC`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.